Skip to main content
`Ctrl`+`K`

# DMSetCoordinateDM

Sets the `DM` that prescribes coordinate layout and scatters between global and local coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCoordinateDM(DM dm, DM cdm)

Logically Collective

## Input Parameters

- dm - the `DM`

- cdm - coordinate `DM`

## See Also

`DM`, `DMGetCoordinateDM()`, `DMSetCoordinates()`, `DMGetCellCoordinateDM()`, `DMSetCoordinatesLocal()`, `DMGetCoordinates()`, `DMGetCoordinatesLocal()`, `DMGSetCellCoordinateDM()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/snes/tutorials/ex7.c
src/snes/tutorials/ex77.c
src/ts/tutorials/ex47.c
src/snes/tutorials/ex12.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages